Subject: Re: ORBit 0.5.12 in Cygwin?
From: "Collin Grady" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: "Cygwin ML" <[email-masked]>
Date: Tue, 27 Nov 2001 13:41:21 -0800

I swiped mcheck.h from a nearby linux server, since ORBit complained
without it, so I hoped that would fix it. ;-)
     -Collin Grady

You are lost in the Swamps of Despair.

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Collin Grady" <[email-masked]>
Cc: "Cygwin ML" <[email-masked]>
Sent: Tuesday, November 27, 2001 1:32 PM
Subject: Re: ORBit 0.5.12 in Cygwin?

> Disclaimer: I know nothing about ORBit.
>
> However, I *do* know that the ORBit source distribution contains an
> embedded copy of old popt sourcecode.  Try to configure ORBit to link
> against the popt package that's already distributed as part of the
> cygwin dist.
>
> It seems to me that the "old" version of popt that is included with
> ORBit is somehow frobbed.  By linking against the "system" popt you
> avoid that.
>
> BTW, *where* does your /usr/include/mcheck.h come from?  I don't have
one...
>
> --Chuck
>
> Collin Grady wrote:
>
> >      When trying to compile ORBit in Cygwin, I get a strange error in
the
> > source I don't understand, and was wondering if anyone had an idea if
its
> > Cygwin, or something wrong on my end in an include.  I dont understand
why
> > its erroring in mcheck.h, as to me it looks correct code-wise.
> > ---
> > gcc -DHAVE_CONFIG_H -I. -I. -I. -I. -Wall -g -O2 -c popt.c -o popt.o
> > In file included from system.h:11,
> >                  from popt.c:5:
> > /usr/include/mcheck.h:28: syntax error before `enum'
> > /usr/include/mcheck.h:42: parse error before `__P'
> > /usr/include/mcheck.h:42: parse error before `)'
> > /usr/include/mcheck.h:47: parse error before `__P'
> > /usr/include/mcheck.h:50: parse error before `__P'
> > /usr/include/mcheck.h:51: parse error before `__P'
> > In file included from /usr/include/stdio.h:40,
> >                  from system.h:14,
> >                  from popt.c:5:
> > /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/include/stdarg.h:71: syntax
error
> > before `typedef'
> > ---
> >      -Collin Grady
> >
> > Profanity is the one language all programmers know best.
> >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/